Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.myfaces.shared_orchestra.util.el
Class StringMap

    java.lang.Object
      org.apache.myfaces.shared_orchestra.util.el.GenericMap
          org.apache.myfaces.shared_orchestra.util.el.StringMap

All Implemented Interfaces:
  java.util.Map

    public abstract class StringMap

extends GenericMap

You can use this class to perform tests. Use this for example in JSF backing beans, like BaseFace.getUserInRole(String).

Version:
  $Revision: 355303 $ $Date: 2005-12-09 02:36:08 +0100 (Fr, 09 Dez 2005) $
Author:
  Sylvain Vieujot (latest modification by $Author: skitching $)

Nested Class Summary

Nested classes/interfaces inherited from interface java.util.Map
`java.util.Map.Entry<K,V>`

Constructor Summary
`StringMap()`

Method Summary
`java.lang.Object` | `get(java.lang.Object key)`
`abstract java.lang.String` | `getString(java.lang.String testKey)` This method should return the result of the test.
`java.lang.Object` | `getValue(java.lang.Object testKey)` This method should return the result of the test.

Methods inherited from class org.apache.myfaces.shared_orchestra.util.el.GenericMap
`clear, containsKey, containsValue, entrySet, isEmpty, keySet, put, putAll, remove, size, values`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface java.util.Map
`equals, hashCode`

Constructor Detail

### StringMap

    public StringMap()

Method Detail

### getString

    public abstract java.lang.String getString(java.lang.String testKey)

  This method should return the result of the test.

### getValue

    public java.lang.Object getValue(java.lang.Object testKey)

  Description copied from class: `GenericMap`
  This method should return the result of the test.

  Specified by:
    `getValue` in class `GenericMap`

### get

    public java.lang.Object get(java.lang.Object key)

  Specified by:
    `get` in interface `java.util.Map`
  Overrides:
    `get` in class `GenericMap`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2009 The Apache Software Foundation. All Rights Reserved.